using System;
using System.Management;
using System.Security.Cryptography;
using System.Text;

namespace JEBKeyMaker
{
    class MachineInfo
    {
        public static string GetBIOSNumber()
        {
            ManagementObjectSearcher searcher = new ManagementObjectSearcher("Select SerialNumber From Win32_BIOS");
            string biosNumber = string.Empty;
            foreach (ManagementObject mgt in searcher.Get())
            {
                biosNumber += mgt["SerialNumber"].ToString();
            }
            return biosNumber;
        }

        public static long GetMachineId(string biosNumber)
        {
            MD5 md5Hasher = MD5.Create();
            byte[] data = md5Hasher.ComputeHash(Encoding.Default.GetBytes(biosNumber));
            return BitConverter.ToInt64(data, 0) & long.MaxValue;
        }
    }
}
